-- Revert postgis-vlci-vlci2:v_migrations/2376-alter-validacion-medioambiente from pg

BEGIN;

-- Tabla de validación Mensual
ALTER TABLE t_datos_cb_medioambiente_airqualityobserved_vm DROP CONSTRAINT t_datos_cb_medioambiente_airqualityobserved_vm_pkey;
ALTER TABLE t_datos_cb_medioambiente_airqualityobserved_vm
ADD CONSTRAINT t_datos_cb_medioambiente_airqualityobserved_vm_pkey PRIMARY KEY (entityid,dateObserved,operationalStatus);
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_vm DROP COLUMN originalservicepath;
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_vm DROP COLUMN originalentityid;
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_vm DROP COLUMN originalentitytype;

-- Tabla de validación Anual
ALTER TABLE t_datos_cb_medioambiente_airqualityobserved_va DROP CONSTRAINT t_datos_cb_medioambiente_airqualityobserved_va_pkey;
ALTER TABLE t_datos_cb_medioambiente_airqualityobserved_va
ADD CONSTRAINT t_datos_cb_medioambiente_airqualityobserved_va_pkey PRIMARY KEY (entityid,dateObserved,operationalStatus);
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_va DROP COLUMN originalservicepath;
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_va DROP COLUMN originalentityid;
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_va DROP COLUMN originalentitytype;

COMMIT;
